Namespace: webdriver.promise
View Source

# class MultipleUnhandledRejectionError

    Error
      └ goog.debug.Error
          └ webdriver.promise.MultipleUnhandledRejectionError

Error used when there are multiple unhandled promise rejections detected within a task or callback.

### new MultipleUnhandledRejectionError(errors)

Parameters

errors`Set<*>`

  The errors to report.

## Instance Properties

description`string`

  IE-only.

errors `Set<*>`
  No description.

fileName`string`

  Mozilla-only

lineNumber`number`

  Mozilla-only.

message `string`
  No description.

name `string`
  No description.

reportErrorToServer `boolean`

  Whether to report this error to the server. Setting this to false will cause the error reporter to not report the error back to the server, which can be useful if the client knows that the error has already been logged on the server.

sourceURL`?`

  Doesn't seem to exist, but closure/debug.js references it.

stack `string`
  No description.